<template>
  <div class="relative rounded-sm  border-l-4 border-l-scheme-primary overflow-hidden block bg-scheme-primary bg-opacity-10 mb-2">
    <ChatReplyTypeText v-if="repliedMessage.type === 'TEXT' || repliedMessage.type === 'FLOW'" :replied-message="repliedMessage" />
    <ChatReplyTypeImage v-else-if="repliedMessage.type === 'IMAGE'" :replied-message="repliedMessage" />
    <ChatReplyTypeVideo v-else-if="repliedMessage.type === 'VIDEO'" :replied-message="repliedMessage" />
    <ChatReplyTypeDocument v-else-if="repliedMessage.type === 'DOCUMENT'" :replied-message="repliedMessage" />
    <ChatReplyTypeButton v-else-if="repliedMessage.type === 'BUTTON'" :replied-message="repliedMessage" />
  </div>
</template>

<script setup lang="ts">

import ChatReplyTypeText from "./ChatReplyType/ChatReplyTypeText.vue";
import {ref, watch} from "vue";
import ChatReplyTypeImage from "./ChatReplyType/ChatReplyTypeImage.vue";
import ChatReplyTypeVideo from "./ChatReplyType/ChatReplyTypeVideo.vue";
import ChatReplyTypeDocument from "./ChatReplyType/ChatReplyTypeDocument.vue";
import ChatReplyTypeButton from "./ChatReplyType/ChatReplyTypeButton.vue";

interface Props {
  repliedMessage: any
}

let props = withDefaults(defineProps<Props>(), {
  repliedMessage: {
    message: null,
    name: null,
    type: null,
    object: null,
  }
});

const messageReply = ref(null)

watch(() => props.repliedMessage, (val) => {
  messageReply.value = val
})
</script>